For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a batch of requests
      • GETRetrieve a batch
      • GETRetrieve the results of a batch
      • GETList all batches
LogoLogo
Legacy DocsSign in
API ReferenceBatches

Submit a batch of requests

POST
https://api.ntropy.com/v3/batches
POST
/v3/batches
$curl -X POST https://api.ntropy.com/v3/batches \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "operation": "POST /v3/transactions",
> "data": [
> {
> "id": "txn_9f8b7c6d5e4a3b2c",
> "description": "Amazon Marketplace Purchase",
> "date": "2024-04-10",
> "amount": 59.99,
> "entry_type": "outgoing",
> "currency": "USD"
> }
> ]
> }
>}'
1{
2 "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ef",
3 "operation": "POST /v3/transactions",
4 "status": "processing",
5 "created_at": "2024-04-11T08:15:00Z",
6 "updated_at": "2024-04-11T08:15:30Z",
7 "progress": 1,
8 "total": 1
9}
Creates a batch of requests and runs them asynchronously. Each element of `data` has to be compatible with the body expected by the `operation`. A batch representing the progress and the status of the process is returned as a result. You can retrieve the results using [/v3/batches/:id/results](./get-batch-results) once the batch has finished processing. This endpoints supports up to 24960 requests. Complete guide: [Batches](../../../batches).
Was this page helpful?
Previous

Retrieve a batch

Next
Built with

Creates a batch of requests and runs them asynchronously. Each element of data has to be compatible with the body expected by the operation. A batch representing the progress and the status of the process is returned as a result. You can retrieve the results using /v3/batches/:id/results once the batch has finished processing.

This endpoints supports up to 24960 requests.

Complete guide: Batches.

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects an object.
operationenumRequired
Allowed values:
datalist of objectsRequired

Response

Successful Response
idstring
A unique identifier for the batch.
operationenum
Allowed values:
statusenum
The status of the batch. Results are not available for a batch with an error status.
Allowed values:
created_atdatetime
The timestamp of when the batch was created.
updated_atdatetime
The timestamp of when the batch was last updated.
progressinteger
The number of transactions processed so far.
totalinteger
The total number of transactions in the batch.

Errors

422
Unprocessable Entity Error